Bug 126233 - Update broke JPP's tomcat
Update broke JPP's tomcat
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mx4j (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fernando Nasser
Depends On:
  Show dependency treegraph
Reported: 2004-06-17 15:59 EDT by Graham Leggett
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-28 11:12:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2004-06-17 15:59:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)

Description of problem:
The update from mx4j broke tomcat v4.1.27 as supplied by jpackage,
causing a major outage on a production system.

Even though JPP is an external project to Redhat, the Redhat packages
still need to "play nice", otherwise decisionmakers will lose faith in
up2date on live systems, and we're back to security hole hell.

The fix is to revert back to the JPP provided RPM of mx4j.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Fernando Nasser 2004-06-18 08:37:50 EDT
Only Red Hat signed packages are supported on RHEL3 systems.
Tomcat (5 only) support will be provided as part of out RHAPS
(Application Server) offering.  

Tomcat 4 was in the Beta (unsupported) version of RHAPS.  If you think
Tomcat4 should still be supported please tell your representative so
he/she can pass this request to Marketing.

Ask you sales representative about RHAPS.
Comment 2 Graham Leggett 2004-06-18 09:05:47 EDT
The problem was not whether something was supported or not, but
whether Redhat were responsible enough during software releases to
ensure their releases "played nice" with others in the marketplace.

If it turns out that automatic updates break production systems, then
we will abandon the use of automatic updates on our systems, and in
turn probably abandon the RHEL distribution for a vendor that takes
software releases more seriously.

If Redhat's approach to this issue is to just refer the customer to
marketing, then we will be considering a competing product in future.
Comment 4 Gary Benson 2004-06-18 09:15:29 EDT
How did it break it exactly?  Did the JPackage mx4j get overwritten?
Comment 5 Graham Leggett 2004-06-18 10:34:37 EDT
Redhat released mx4j-1.1.1-6, which is technically later than JPP's
most recent release mx4j-1.1.1-5jpp.

The JPP release of tomcat does not detect the jar files from
mx4j-1.1.1-6, which caused it to fail to start on its next invocation
after the update.

Note You need to log in before you can comment on or make changes to this bug.